<template>
  <div>
    <b-container>
      <b-row class="justify-content-md-center">
        <b-col cols="8" md="auto">
        <h1> Pendaftaran </h1>
        <b-form @submit="onSubmit" @reset="onReset" v-if="show">

        <b-form-group 
            id="input-group-1" 
            label="Nama:" 
            label-for="input-1"
        >
            <b-form-input
            id="input-1"
            v-model="form.name"
            placeholder="Masukkan nama anda"
            required
            ></b-form-input>
        </b-form-group>

        <b-form-group
            id="input-group-2"
            label="Emel :"
            label-for="input-2"
            description="Emel mestilah emel yang sah"
        >
            <b-form-input
            id="input-2"
            v-model="form.email"
            type="email"
            placeholder="Masukkan emel anda"
            required
            ></b-form-input>
        </b-form-group>

        <b-form-group id="input-group-3" label="Daerah:" label-for="input-3">
            <b-form-select
            id="input-3"
            v-model="form.daerah"
            :options="daerah"
            required
            ></b-form-select>
        </b-form-group>
        <hr />
        <b-button type="submit" variant="primary">Hantar</b-button>&nbsp;
        <b-button type="reset" variant="danger">Reset</b-button>
        </b-form>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>

<script>
  export default {
    data() {
      return {
        form: {
          email: '',
          name: '',
          daerah: null,
        },
        daerah: [{ text: 'Pilih daerah', value: null }, 'Johor Bahru', 'Kota Tinggi', 'Segamat'],
        show: true
      }
    },
    methods: {
      onSubmit(event) {
        event.preventDefault()
        alert(JSON.stringify(this.form))
      },
      onReset(event) {
        event.preventDefault()
        // Reset our form values

        // tambah baru
        
        this.form.email = ''
        this.form.name = ''
        this.form.daerah = null
        // Trick to reset/clear native browser form validation state
        this.show = false
        this.$nextTick(() => {
          this.show = true
        })
      }
    }
  }
</script>
